KDE 4.9 PyKDE API Reference

- KDE's Python API

# KPty Class Reference

`from PyKDE4.kdecore import *`

Subclasses: KPtyDevice

## Detailed Description

## Methods

| __init__ (self)
| __init__ (self, KPty other)
| close (self)
| closeSlave (self)
| login (self, QString a0=0, QString a1=0)
| logout (self)
int | masterFd (self)
bool | open (self)
| setCTty (self)
bool | setEcho (self, bool a0)
bool | setWinSize (self, int a0, int a1)
int | slaveFd (self)
QString | ttyName (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | KPty | other
| ) |  |  |

close | ( |  | self ) |

closeSlave | ( |  | self ) |

login | ( | self, |
|  | QString | a0=0,
|  | QString | a1=0
| ) |  |  |

logout | ( |  | self ) |

int masterFd | ( |  | self ) |

bool open | ( |  | self ) |

setCTty | ( |  | self ) |

bool setEcho | ( | self, |
|  | bool | a0
| ) |  |  |

bool setWinSize | ( | self, |
|  | int | a0,
|  | int | a1
| ) |  |  |

int slaveFd | ( |  | self ) |

QString ttyName | ( |  | self ) |